> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revet Brand

> This operation allows you to revet the brand. However, revetting is allowed once after the successful brand registration and thereafter limited to once every 3 months.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/messaging-10dlc/brands.yml put /10dlc/brand/{brandId}/revet
openapi: 3.1.0
info:
  title: Telnyx 10DLC Brands API
  version: 2.0.0
  description: API for 10DLC brand management.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /10dlc/brand/{brandId}/revet:
    put:
      tags:
        - Brands
      summary: Revet Brand
      description: >-
        This operation allows you to revet the brand. However, revetting is
        allowed once after the successful brand registration and thereafter
        limited to once every 3 months.
      operationId: RevetBrand
      parameters:
        - required: true
          schema:
            title: Brandid
            type: string
          name: brandId
          in: path
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TelnyxBrand'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        4XX:
          $ref: '#/components/responses/10dlc_GenericErrorResponse'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const telnyxBrand = await
            client.messaging10dlc.brand.revet('brandId');


            console.log(telnyxBrand.identityStatus);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            telnyx_brand = client.messaging_10dlc.brand.revet(
                "brandId",
            )
            print(telnyx_brand.identity_status)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\ttelnyxBrand, err := client.Messaging10dlc.Brand.Revet(context.TODO(), \"brandId\")\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", telnyxBrand.IdentityStatus)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.messaging10dlc.brand.BrandRevetParams;
            import com.telnyx.sdk.models.messaging10dlc.brand.TelnyxBrand;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    TelnyxBrand telnyxBrand = client.messaging10dlc().brand().revet("brandId");
                }
            }
        - lang: Ruby
          source: |-
            require "telnyx"

            telnyx = Telnyx::Client.new(api_key: "My API Key")

            telnyx_brand = telnyx.messaging_10dlc.brand.revet("brandId")

            puts(telnyx_brand)
        - lang: PHP
          source: >-
            <?php


            require_once dirname(__DIR__) . '/vendor/autoload.php';


            use Telnyx\Client;

            use Telnyx\Core\Exceptions\APIException;


            $client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API
            Key');


            try {
              $telnyxBrand = $client->messaging10dlc->brand->revet('brandId');

              var_dump($telnyxBrand);
            } catch (APIException $e) {
              echo $e->getMessage();
            }
        - lang: CLI
          source: |-
            telnyx messaging-10dlc:brand revet \
              --api-key 'My API Key' \
              --brand-id brandId
components:
  schemas:
    TelnyxBrand:
      title: TelnyxBrand
      required:
        - entityType
        - displayName
        - country
        - email
        - brandRelationship
        - vertical
      type: object
      properties:
        entityType:
          allOf:
            - $ref: '#/components/schemas/EntityType'
          description: >-
            Entity type behind the brand. This is the form of business
            establishment.
        cspId:
          title: Cspid
          type: string
          description: Unique identifier assigned to the csp by the registry.
        brandId:
          title: Brandid
          type: string
          description: Unique identifier assigned to the brand.
          example: 4b20017f-8da9-a992-a6c0-683072fb7729
        tcrBrandId:
          title: TcrBrandid
          type: string
          description: Unique identifier assigned to the brand by the registry.
          example: BBRAND1
        displayName:
          title: Displayname
          maxLength: 100
          type: string
          description: Display or marketing name of the brand.
          example: ABC Mobile
        companyName:
          title: Companyname
          maxLength: 100
          type: string
          description: (Required for Non-profit/private/public) Legal company name.
          example: ABC Inc.
        firstName:
          title: Firstname
          maxLength: 100
          type: string
          description: First name of business contact.
          example: John
        lastName:
          title: Lastname
          maxLength: 100
          type: string
          description: Last name of business contact.
          example: Smith
        ein:
          title: Ein
          maxLength: 20
          type: string
          description: >-
            (Required for Non-profit) Government assigned corporate tax ID. EIN
            is 9-digits in U.S.
          example: '111111111'
        phone:
          title: Phone
          maxLength: 20
          type: string
          description: Valid phone number in e.164 international format.
          example: '+12024567890'
        street:
          title: Street
          maxLength: 100
          type: string
          description: Street number and name.
          example: '123'
        city:
          title: City
          maxLength: 100
          type: string
          description: City name
          example: New York
        state:
          title: State
          maxLength: 20
          type: string
          description: State. Must be 2 letters code for United States.
          example: NY
        postalCode:
          title: Postalcode
          maxLength: 10
          type: string
          description: Postal codes. Use 5 digit zipcode for United States
          example: '10001'
        country:
          title: Country
          maxLength: 2
          type: string
          description: 'ISO2 2 characters country code. Example: US - United States'
          example: US
        email:
          title: Email
          maxLength: 100
          type: string
          description: Valid email address of brand support contact.
        stockSymbol:
          title: Stocksymbol
          maxLength: 10
          type: string
          description: (Required for public company) stock symbol.
          example: ABC
        stockExchange:
          allOf:
            - $ref: '#/components/schemas/StockExchange'
          description: (Required for public company) stock exchange.
          example: NASDAQ
        ipAddress:
          title: Ipaddress
          maxLength: 50
          type: string
          description: IP address of the browser requesting to create brand identity.
        website:
          title: Website
          maxLength: 100
          type: string
          description: Brand website URL.
          example: http://www.abcmobile.com
        brandRelationship:
          allOf:
            - $ref: '#/components/schemas/BrandRelationship'
          description: Brand relationship to the CSP
        vertical:
          title: Vertical
          maxLength: 50
          type: string
          description: Vertical or industry segment of the brand.
        altBusinessId:
          title: Altbusinessid
          maxLength: 50
          type: string
          description: Alternate business identifier such as DUNS, LEI, or GIIN
        altBusinessIdType:
          $ref: '#/components/schemas/AltBusinessIdType'
        universalEin:
          title: Universalein
          type: string
          description: Universal EIN of Brand, Read Only.
        referenceId:
          title: Referenceid
          type: string
          description: Unique identifier Telnyx assigned to the brand - the brandId
        identityStatus:
          $ref: '#/components/schemas/BrandIdentityStatus'
        optionalAttributes:
          $ref: '#/components/schemas/BrandOptionalAttributes'
        mock:
          title: Mock
          type: boolean
          description: Mock brand for testing purposes
          default: false
        mobilePhone:
          title: Mobilephone
          maxLength: 20
          type: string
          description: Valid mobile phone number in e.164 international format.
          example: '+12024567890'
        isReseller:
          title: Isreseller
          type: boolean
          description: Indicates whether this brand is known to be a reseller
          default: false
        webhookURL:
          title: WebhookURL
          type: string
          description: Webhook to which brand status updates are sent.
          example: https://webhook.com/67ea78a8-9f32-4d04-b62d-f9502e8e5f93
        businessContactEmail:
          title: BusinessContactEmail
          type: string
          description: |-
            Business contact email.

            Required if `entityType` is `PUBLIC_PROFIT`.
          example: name@example.com
        webhookFailoverURL:
          title: WebhookFailoverURL
          type: string
          description: Failover webhook to which brand status updates are sent.
        createdAt:
          type: string
          description: Date and time that the brand was created at.
          example: '2021-03-08T17:57:48.801186'
        updatedAt:
          type: string
          description: Date and time that the brand was last updated at.
          example: '2021-03-08T17:57:48.801186'
        status:
          title: status
          description: Status of the brand
          enum:
            - OK
            - REGISTRATION_PENDING
            - REGISTRATION_FAILED
          type: string
        failureReasons:
          title: failureReasons
          description: Failure reasons for brand
          type: string
      description: Telnyx-specific extensions to The Campaign Registry's `Brand` type
    HTTPValidationError:
      title: HTTPValidationError
      type: object
      properties:
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    EntityType:
      title: EntityType
      enum:
        - PRIVATE_PROFIT
        - PUBLIC_PROFIT
        - NON_PROFIT
        - GOVERNMENT
        - SOLE_PROPRIETOR
      description: >-
        Entity type behind the brand. This is the form of business
        establishment.
      example: PRIVATE_PROFIT
      type: string
    StockExchange:
      title: StockExchange
      enum:
        - NONE
        - NASDAQ
        - NYSE
        - AMEX
        - AMX
        - ASX
        - B3
        - BME
        - BSE
        - FRA
        - ICEX
        - JPX
        - JSE
        - KRX
        - LON
        - NSE
        - OMX
        - SEHK
        - SSE
        - STO
        - SWX
        - SZSE
        - TSX
        - TWSE
        - VSE
      description: (Required for public company) stock exchange.
      example: NASDAQ
      type: string
    BrandRelationship:
      title: BrandRelationship
      enum:
        - BASIC_ACCOUNT
        - SMALL_ACCOUNT
        - MEDIUM_ACCOUNT
        - LARGE_ACCOUNT
        - KEY_ACCOUNT
      description: Brand relationship to the CSP.
      type: string
    AltBusinessIdType:
      title: AltBusinessIdType
      enum:
        - NONE
        - DUNS
        - GIIN
        - LEI
      description: An enumeration.
      type: string
    BrandIdentityStatus:
      title: BrandIdentityStatus
      enum:
        - VERIFIED
        - UNVERIFIED
        - SELF_DECLARED
        - VETTED_VERIFIED
      description: The verification status of an active brand
      type: string
    BrandOptionalAttributes:
      title: BrandOptionalAttributes
      type: object
      properties:
        taxExemptStatus:
          title: Taxexemptstatus
          type: string
          description: The tax exempt status of the brand
    ValidationError:
      title: ValidationError
      required:
        - loc
        - msg
        - type
      type: object
      properties:
        loc:
          title: Location
          type: array
          items:
            anyOf:
              - type: string
              - type: integer
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
    10dlc_Errors:
      properties:
        errors:
          type: array
          items:
            $ref: '#/components/schemas/10dlc_Error'
      type: object
    10dlc_Error:
      required:
        - code
        - title
      type: object
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
  responses:
    10dlc_GenericErrorResponse:
      description: Generic response error
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/10dlc_Errors'
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````